package grailsgtd

/**
 * Controller pro uživatele
 */
class UserController {

    /* nastavení povolených http metod pro některé akce */
    static allowedMethods = [save: "POST"]

    /**
     * Zobrazuje registrační formulář
     * @return
     */
    def registration() {
        [userInstance: new User(params)]
    }

    /**
     * Ukládá data z registračního formuláře
     * @return
     */
    def save() {
        def userInstance = new User(params)

        if (!userInstance.save(flush: true)) {
            render(view: "registration", model: [userInstance: userInstance])
            return
        }

        flash.message = message(code: 'user.registration.message')
        redirect(controller: 'user', action: 'login')
    }

    /**
     * Zobrazuje výchozí formulář pro přihlášení
     */
    def login = {

    }

    /**
     * Provede autentifikaci uživatele dle parametrů z formuláře pro přihlášení
     */
    def doLogin = {
        def user = User.findByUsernameAndPassword(params['username'], params['password'].encodeAsMD5())

        session.user = user

        if (user) {
            redirect(controller: 'task', action: 'list')
        } else {
            flash.message = message(code: 'user.login.fail')
            render(view: "login")
        }
    }

    /**
     * Provede odhlášení uživatele
     */
    def logout = {
        session.invalidate()
        flash.message = message(code: 'user.logout')
        redirect(controller: 'user', action: 'login')
    }
}
