package grailsgtd

import org.springframework.transaction.annotation.Transactional

/**
 * Model úkolů
 */
class Task {

    /* Parametry */
    Integer id
    String name
    String description
    Integer priority
    Date todate
    Set tag = []

    /* vazby */
    static belongsTo = [user: User, state: State]
    static hasMany = [tag: Tag, comment: Comment]

    /* Kaskádové smazání všech komentářů */
    static mapping = {
        comment cascade: 'all-delete-orphan'
    }

    /* Omezení a validace */
    static constraints = {
        id unique: true, blank: false
        name blank: false
        priority inList: [1, 2, 3, 4, 5]
        state blank: false
        tag nullable: true
        user blank: false
    }
}