package grailsgtd

/**
 * Model uživatel
 */
class User {
    /* Parametry */
    String username
    String password

    /* Transientní parametry pro registraci */
    String passwordRegistration
    String passwordConfirm

    static transients = ['passwordRegistration','passwordConfirm']

    @Override
    def String toString(){
        return username
    }

    /* Omezení a validace */
    static constraints = {
        username unique: true, blank: false, email: true
        password nullable: true
        passwordConfirm bindable:true
        passwordRegistration bindable:true, blank:false, validator:{ val, obj ->
            if(obj.passwordRegistration != obj.passwordConfirm)
                return 'user.passwords.notequal'
        }
    }


    /* Hashování hesla */
    def beforeInsert(){
        password = passwordRegistration.encodeAsMD5()
    }
}
