<%@ page import="grailsgtd.Task" %>
<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="main">
    <title><g:message code="task.show.label"/></title>
</head>

<body>

<div class="nav" role="navigation">
    <ul>
        <li><g:link class="create" action="create"><g:message code="task.create.label"/></g:link></li>
    </ul>
</div>

<div id="list-task" class="content scaffold-list" role="main">
    <h1><g:message code="task.list.label"/></h1>

    <g:if test="${flash.message}">
        <div class="message" role="status">${flash.message}</div>
    </g:if>

    <div id="Panel">
        <h2>Tagy</h2>

        <ul>

            <g:each in="${tags}" var="tag">

                <g:if test="${activeTags?.contains(tag.id)}">
                    <li  class="active"><g:link action="deselectTag" id="${tag.id}">${tag.name}</g:link>
                </g:if>
                <g:else>
                    <li> <g:link action="selectTag" id="${tag.id}">${tag.name}</g:link>
                </g:else>
                <span>
                    <g:link controller="tag" action="edit" id="${tag.id}">E</g:link>
                    <g:link controller="tag" action="delete" id="${tag.id}">X</g:link>
                </span>
                </li>

            </g:each>
        </ul>

        <p>
            <g:link controller="tag" action="create" class="active"><g:message code="tag.create.label"/></g:link>
        </p>
    </div>

    <div id="SearchTable">
        <table>
            <thead>
            <tr>

                <g:sortableColumn property="name" title="${message(code: 'task.name.label', default: 'Name')}"/>

                <g:sortableColumn property="priority"
                                  title="${message(code: 'task.priority.label', default: 'Priority')}"/>

                <g:sortableColumn property="state"
                                  title="${message(code: 'task.state.label', default: 'State')}"/>


                <g:sortableColumn property="todate" title="${message(code: 'task.todate.label', default: 'Todate')}"/>
                <th>
                    <g:message code="task.options"/>
                </th>

            </tr>
            <tr>
                <g:form method="post" action="search">
                    <th>
                        <g:textField name="name" value="${searchParams?.name}"/>
                    </th>
                    <th>
                        <g:select name="priority" from="${grailsgtd.Task.constraints.priority.inList}"
                                  value="${searchParams?.priority}" noSelection="['': '-Vyberte prioritu-']"/>
                    </th>
                    <th>
                        <g:select name="state" from="${grailsgtd.State.list()}" value="${searchParams?.state}"
                                  optionKey="id" optionValue="name" noSelection="['': '-Vyberte stav-']"/>
                    </th>
                    <th>
                        <g:textField name="todate" value="${searchParams?.todate}"/>
                    </th>
                    <th>
                        <g:submitButton name="create" class="save"
                                        value="${message(code: 'default.button.create.label', default: 'Create')}"/>
                        <g:link action="unsetSearchParams">Zrušit</g:link>
                    </th>
                </g:form>
            </tr>
            </thead>
            <tbody>
            <g:each in="${taskInstanceList}" status="i" var="taskInstance">
                <tr class="${(i % 2) == 0 ? 'even' : 'odd'}">

                    <td>${taskInstance.name}</td>

                    <td>${taskInstance.priority}</td>

                    <td>${taskInstance.state}</td>

                    <td><g:formatDate date="${taskInstance.todate}" type="date" style="medium"/></td>
                    <th>
                        <g:link action="show" id="${taskInstance.id}"><g:message code="default.show"/></g:link>
                        <g:link action="edit" id="${taskInstance.id}"><g:message code="default.edit"/></g:link>
                        <g:link action="delete" id="${taskInstance.id}"><g:message code="default.delete"/></g:link>
                    </th>
                </tr>
            </g:each>
            </tbody>
        </table>
        <div class="pagination">
            <g:paginate total="${taskInstanceTotal}"/>
        </div>
    </div>

</body>
</html>
