<%@ page import="grailsgtd.Task" %>
<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="main">
    <title><g:message code="task.show.label"/></title>
</head>

<body>
<div class="nav" role="navigation">
    <ul>
        <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
    </ul>
</div>

<div id="show-task" class="content scaffold-show" role="main">
    <div id="Task">

        <h1><g:message code="task.show.label"/></h1>

        <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
        </g:if>
        <ol class="property-list task">

            <g:if test="${taskInstance?.name}">
                <li class="fieldcontain">
                    <span id="name-label" class="property-label">
                        <g:message code="task.name.label"/>
                    </span>

                    <span class="property-value" aria-labelledby="name-label">
                        <g:fieldValue bean="${taskInstance}"/>
                    </span>
                </li>
            </g:if>

            <g:if test="${taskInstance?.priority}">
                <li class="fieldcontain">
                    <span id="priority-label" class="property-label"><g:message code="task.priority.label"/></span>

                    <span class="property-value" aria-labelledby="priority-label">
                        <g:fieldValue bean="${taskInstance}" field="priority"/>
                    </span>

                </li>
            </g:if>

            <g:if test="${taskInstance?.state}">
                <li class="fieldcontain">
                    <span id="state-label" class="property-label"><g:message code="task.state.label"/></span>

                    <span class="property-value" aria-labelledby="state-label">
                       ${taskInstance?.state}
                    </span>

                </li>
            </g:if>

            <g:if test="${taskInstance?.description}">
                <li class="fieldcontain">
                    <span id="description-label" class="property-label">
                        <g:message code="task.description.label"/></span>

                    <span class="property-value" aria-labelledby="description-label">
                        <g:fieldValue bean="${taskInstance}" field="description"/>
                    </span>

                </li>
            </g:if>

            <g:if test="${taskInstance?.tag}">
                <li class="fieldcontain">
                    <span id="tag-label" class="property-label">
                        <g:message code="task.tag.label"/>
                    </span>

                    <g:each in="${taskInstance.tag}" var="t">
                        <span class="property-value" aria-labelledby="tag-label">
                           ${t}
                        </span>
                    </g:each>

                </li>
            </g:if>

            <g:if test="${taskInstance?.todate}">
                <li class="fieldcontain">
                    <span id="todate-label" class="property-label">
                        <g:message code="task.todate.label"/>
                    </span>

                    <span class="property-value" aria-labelledby="todate-label">
                        <g:formatDate date="${taskInstance?.todate}" type="date" style="medium"/>
                    </span>

                </li>
            </g:if>

        </ol>

        <fieldset class="buttons">
            <g:link class="edit" action="edit" id="${taskInstance?.id}">
                <g:message code="default.button.edit.label"/>
            </g:link>
            <g:link class="delete" action="delete" id="${taskInstance?.id}">
                <g:message code="default.button.delete.label"/>
            </g:link>
        </fieldset>

    </div>

    <div id="Comments">
        <g:if test="${taskInstance?.comment}">
            <h3><g:message code="task.comment.label"/></h3>

            <g:each in="${taskInstance.comment}" var="c">
                <fieldset>
                    <h4>
                        <g:formatDate date="${c.dateCreated}" type="datetime" dateStyle="medium" timeStyle="short"/>
                        <g:link controller="comment" action="delete" id="${c.id}">
                            <g:message code="task.delete.label"/>
                        </g:link>
                    </h4>

                    <p>
                        ${c.text}
                    </p>
                </fieldset>
            </g:each>
        </g:if>
        <h3><g:message code="task.comment.create.label"/></h3>
        <g:render template="../comment/form"/>
    </div>
</body>

</html>
