package grailsgtd

import grails.test.mixin.Mock
import grails.test.mixin.TestFor

/**
* Testování autentifikace
*/

@TestFor(TaskController)
@Mock([AuthentificationFilters,User])
class AuthentificationFiltersTests {

    /**
     * Testování funkčnosti kontroly přihlášení v odhlášeném stavu
     */
    void testAccessFail() {
        withFilters(action:"list"){} 
        assert response.redirectedUrl == '/user/login'
    }

    /**
     * Testování funkčnosti kontroly přihlášení v přihlášeném stavu
     */
    void testAccessPass(){
        controller.session.user = fixtureUser()
               
        withFilters(action:"create"){
            controller.create()
        }
        
        assert response.redirectedUrl == null
        assert model.taskInstance != null
    }

    /**
     * Texotvací přípravek uživatel
     */
    private fixtureUser(){
        def u =  new User(username: "pokus@pokus.cz", passwordRegistration: "pokus", passwordConfirm: "pokus")
        u.save()
        
        return u 
    }
    
}
