package grailsgtd

import static org.junit.Assert.*

import grails.test.mixin.*
import grails.test.mixin.support.*
import org.junit.*

/**
* Testování validací a omezení modelu komentářů
*/
@TestFor(Comment)
class CommentModelTests {

    /**
     * Testování validací na modelu
     */
    void testConstraints() {
        mockForConstraintsTests(Comment)

        def comment = new Comment()

        assert !comment.validate()
        
        comment = new Comment(
            text: "",
            task: null
        )

        assert !comment.validate()
        assert "blank" == comment.errors["text"]
        assert "nullable" == comment.errors["task"]
        
         
        comment = new Comment(
            text: "test",
            task: fixtureTask()
        )
      
        assert comment.validate()        
    }

    /**
     * Vytvoření testovacího úkolu
     * @return
     */
    private fixtureTask() {
        def t = new Task(
            name: "pokus",
            description: "pokus",
            todate: new Date(),
            user: fixtureUser(),
            priority: 1,
            state: fixtureState() 
        )
      
        return t
    }

    /**
     * Vytvoření testovacího uživatele
     * @return
     */
    private fixtureUser(){
        def u =  new User(username: "pokus@pokus.cz", passwordRegistration: "pokus", passwordConfirm: "pokus")
        
        return u 
    }

    /**
     * Vytvoření testovacího stavu
     * @return
     */
    private fixtureState(){
        def s = new State(name: "pokus")
        
        return s
    }
    
}
