package grailsgtd

import static org.junit.Assert.*

import grails.test.mixin.*
import grails.test.mixin.support.*
import org.junit.*

/**
* Testování validací a omezení modelu stavů
*/
@TestFor(State)
class StateModelTests {

    /**
     * Testování validací modelu
     */
    void testConstraints() {
        def existingState = new State(
            name: "pokus",
        )

        mockForConstraintsTests(State, [existingState])

        def state = new State()

        assert !state.validate()
        
        
        
        state = new State(
            name: "",
        )

        assert !state.validate()
        assert "blank" == state.errors["name"]
        
        
        
        state = new State(
            name: "pokus",           
        )
        
        assert !state.validate()
        assert "unique" == state.errors["name"]
       
        
        
        state = new State(
            name: "pokus1", 
        )

        assert state.validate()        
    }
}
