package grailsgtd

import static org.junit.Assert.*

import grails.test.mixin.*
import grails.test.mixin.support.*
import org.junit.*

/**
* Testování validací a omezení modelu tagů
*/
@TestFor(Tag)
class TagModelTests {

    /**
     * Testování validací na modelu
     */
    void testConstraints() {

        mockForConstraintsTests(Tag)

        def tag = new Tag()

        assert !tag.validate()
        
        tag = new Tag(
            name: "",
            user: null
        )

        assert !tag.validate()
        assert "blank" == tag.errors["name"]
        assert "nullable" == tag.errors["user"]
        
        tag = new Tag(
            name: "test",
            user: fixtureUser()           
        )

        assert tag.validate()        
    }

    /**
     * Vytvoření testovacího uživatele
     * @return
     */
    private fixtureUser(){
        def user = new User(
            username: "tests@test.cz", 
            passwordRegistration: "test",
            passwordConfirm: "test"
        )

        
        return user 
    }
}
