package grailsgtd

import static org.junit.Assert.*

import grails.test.mixin.*
import grails.test.mixin.support.*
import org.junit.*


/**
* Testování validací a omezení modelu úkolů
*/
@TestFor(Task)
@Mock([State,User,Task])
class TaskModelTests {

    /**
     * Kontrola funkčnosti validací na modelu
     */
    void testConstraints() {

        mockForConstraintsTests(Task)

        def task = new Task()

        assert !task.validate()
        
        task = new Task(
            name: "",
            user: null,
            priority: 6,
            state: null 
        )
        assert !task.validate()
        assert "blank" == task.errors["name"]
        assert "nullable" == task.errors["user"]
        assert "inList" == task.errors["priority"]
        assert "nullable" == task.errors["state"]
        
        task = new Task(
            name: "pokus",
            description: "pokus",
            todate: new Date(),
            user: fixtureUser(),
            priority: 1,
            state: fixtureState() 
        )
        
        assert task.validate()
    }

    /**
     * Vytvoření testovacího uživatele
     * @return
     */
    private fixtureUser(){
        def user = new User(
            username: "tests@test.cz", 
            passwordRegistration: "test",
            passwordConfirm: "test"
        )

        
        return user 
    }

    /**
     * Vytvoření testovacího stavu
     * @return
     */
    private fixtureState(){
        def s = new State(name: "pokus")
        
        return s
    }
}
