package grailsgtd

import static org.junit.Assert.*

import grails.test.mixin.*
import grails.test.mixin.support.*
import org.junit.*

/**
* Testování validací a omezení modelu uživatelé
*/
@TestFor(User)
class UserModelTests {

    /**
     * Testování validací na modelu
     */
    void testConstraints() {
        def existingUser = new User(
            username: "test@test.cz",
            passwordConfirm: "test",
            passwordRegistration: "test"
        )

        mockForConstraintsTests(User, [existingUser])

        def user = new User()

        assert !user.validate()
        
        
        
        user = new User(
            username: "test",
            passwordRegistration:"test"
        )

        assert !user.validate()
        assert "email" == user.errors["username"]
        assert "user.passwords.notequal" == user.errors["passwordRegistration"]
        
        
        
        user = new User(
            username: "",           
        )
        
        assert !user.validate()
        assert "blank" == user.errors["username"]
       
        
        
        user = new User(
            username: "test@test.cz", 
        )

        assert !user.validate()
        assert "unique" == user.errors["username"]
        
        
        
        user = new User(
            username: "tests@test.cz", 
            passwordRegistration: "test",
            passwordConfirm: "test"
        )
        assert user.validate()        
    }
}
