<?php

// Načtení Nette frameworku
require __DIR__ . '/../libs/autoload.php';

// Nová instance třídy configurator (konfigurace, DI, ...)
$configurator = new Nette\Config\Configurator;

$configurator->setDebugMode(FALSE); // zapnutí Nette Debuggeru (Laděnky)

// umístění logovacích souborů
$configurator->enableDebugger(__DIR__ . '/../log');

// definování složky pro dočasné soubory
$configurator->setTempDirectory(__DIR__ . '/../temp');
// RobotLoader - načtení všech potřebných souborů
$configurator->createRobotLoader()
    ->addDirectory(__DIR__)
    ->addDirectory(__DIR__ . '/../libs')
    ->register();

// vytvoření DI kontajneru z config.neon
$configurator->addConfig(__DIR__ . '/config/config.neon');
$container = $configurator->createContainer();

return $container;