<?php

use Nette\Security;


/**
 * Users authenticator.
 */
class Authenticator extends Nette\Object implements Security\IAuthenticator
{
	/** @var \Models\User */
	private $userModel;

	public function __construct(\Models\User $userModel)
	{
		$this->userModel = $userModel;
	}

    /**
     * Performs an authentication.
     * @param array $credentials
     * @throws Nette\Security\AuthenticationException
     * @return Nette\Security\Identity
     */
	public function authenticate(array $credentials)
	{
		list($email, $password) = $credentials;
		$row = $this->userModel->validateLogin($email, $password);

		if (!$row) {
			throw new Security\AuthenticationException('Neplatné uživatelské jméno nebo heslo.', self::FAILURE);
		}

		unset($row->password);
		return new Security\Identity($row->email, null, $row->toArray());
	}

}
