<?php
namespace Models;

/**
 * Model Tagů
 */
class Tag extends Base
{

    /**
     * @param $id
     * @param $userid
     * @return \Nette\Database\Table\ActiveRow
     */
    public function fetch($id, $userid = null)
    {
        $cond = array();
        $cond['id'] = $id;
        if($userid)
            $cond['user_email'] = $userid;

        return $this->getConnection()->where($cond)->fetch();
    }

    /**
     * Vrací párové hodnoty dle emailu
     *
     * @param null $key
     * @param null $value
     * @param $email
     * @return array
     */
    public function fetchPairs($key, $value, $email = null)
    {
        $cond = array();
        if($email)
            $cond['user_email'] = $email;

        return $this->getConnection()->where($cond)->fetchPairs($key, $value);
    }


    /**
     * Smaže prvek z databáze dle zadaných parametrů
     * @param $id
     * @param null $email
     * @return int
     */
    public function delete($id, $email = null)
    {
        $cond = array();
        $cond['id'] = $id;
        if($email)
            $cond['user_email'] = $email;

        return $this->getConnection()->where($cond)->delete();
    }
}