<?php
namespace Models;

/**
 * Model úkolů
 */
class Task extends Base
{
    /**
     * Konstanta seznamu možných priorit
     * @var array
     */
    public static $priorities = array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5');


    /**
     * @param $id
     * @param $userid
     * @return \Nette\Database\Table\ActiveRow
     */
    public function fetch($id, $userid = null)
    {
        $cond = array();
        $cond['id'] = $id;
        if($userid)
            $cond['user_email'] = $userid;

        return $this->getConnection()->where($cond)->fetch();
    }

    /**
     * Smaže prvek z databáze dle zadaných parametrů
     * @param $id
     * @param null $email
     * @return int
     */
    public function delete($id, $email = null)
    {
        $cond = array();
        $cond['id'] = $id;
        if($email)
            $cond['user_email'] = $email;

        return $this->getConnection()->where($cond)->delete();
    }
}