<?php
namespace Models;

/**
 * Model vazeb mezi tagem a úkolem
 */
/**
 *
 */
class TaskTag extends Base
{
    /**
     *
     * Vloží do databáze vazby pro daný úkol a pole identifikátorů tagů
     *
     * @param $task_id
     * @param $tag_ids
     */
    public function updateAll($task_id, $tag_ids)
    {
        $this->getConnection()->where('task_id', $task_id)->delete();

        foreach($tag_ids as $tag_id){
            $this->getConnection()->insert(array('task_id' => $task_id, 'tag_id' => $tag_id));
        }
    }

    /**
     * Vrací všechny vazby na daný ukol
     * @param $id
     * @return \Nette\Database\Table\Selection
     */
    public function fetchAllByTask($id){
        return $this->getConnection()->where('task_id', $id)->fetchPairs('tag_id','tag_id');
    }

    /**
     * Vrací identifikátory úkolů, které vyhovují všem tagům v parametru
     * @param $activeTags
     * @return \Nette\Database\Table\Selection
     */
    public function fetchTaskByActiveTags($activeTags){
        return $this->getConnection()->where('tag_id', array_values($activeTags))->group('task_id', 'count = '. count($activeTags) )->select("task_id, count(*) AS count");
    }
}