<?php
namespace Models;

use Nette\Utils\Strings;

/**
 * Model uživatelů
 */
class User extends Base
{
    /**
     * Ověří platnost přihlášení a vrátí výsledek
     * @param $email
     * @param $password
     * @return \Nette\Database\Table\ActiveRow
     * @throws \Nette\InvalidArgumentException
     */
    public function validateLogin($email, $password)
    {
        $user = $this->getConnection()->where(array(
            'email' => $email,
            'password' => self::calculateHash($password)
        ))->fetch();

        return $user;
    }

    /**
     *
     * Vytvoří z řetězce hash
     *
     * @param $password
     * @return string
     */
    public static function calculateHash($password)
    {
        if ($password === Strings::upper($password)) {
            $password = Strings::lower($password);
        }
        return crypt($password, '$2a$07$');
    }

}