<?php

use \Nette\Application\UI\Form, \Models\Task;

/**
 * Comment presenter.
 */
class CommentPresenter extends BasePresenter
{

    /** @var \Models\Comment */
    protected $commentModel;


    /**
     * Injektáž závislosti na modelu
     * @param Models\Comment $commentModel
     * @throws Nette\InvalidStateException
     */
    public function injectModels(\Models\Comment $commentModel)
    {
        if ($this->commentModel){
            throw new Nette\InvalidStateException('Injektáž již proběhla.');
        }

        $this->commentModel = $commentModel;
    }

    public function actionDelete($id){
        if(!$id){
            $this->error('Neplatný identifikátor.');
        }

        $comment = $this->commentModel->fetch($id);

        // ověření, zda jde o oprávněný požadavek
        if($comment && ($comment->task->user_email == $this->getUser()->getId())){
            $comment->delete();
            $this->flashMessage('Komentář byl úspěšně smazán.', 'success');
            $this->redirect('Task:view', array('id' => $comment->task_id));
        }else{
            $this->error('Neautorizovaná akce');
        }
    }
}
