<?php

namespace Test;

use Nette,
    Tester,
    Tester\Assert;

$container = require __DIR__ . '/bootstrap.php';


/**
 * Testování CommentPresenteru v přihlášeném stavu
 */
class CommentPresenterNotLoggedTest extends Tester\TestCase
{
    /**
     * @var \Nette\DI\Container
     */
    private $container;
    /**
     * @var identifikátor testovaného záznamu
     */
    private $id;

    /**
     * @var \CommentPresenter
     */
    private $presenter;

    /**
     * @param \Nette\DI\Container $container
     */
    function __construct(Nette\DI\Container $container)
    {
        $this->container = $container;
    }

    /**
     * Přípravná fáze, vytvoření presenteru, injekce a přihlášení
     */
    function setUp()
    {
        $this->presenter = new \CommentPresenter($this->container);
    }

    /**
     * Testování zda dojde k přesměrování na přihlašovací formulář
     * při pokusu zobrazit některou z privátních akcí
     */
    function testAuthentificationRedirect()
    {
        $request = new \Nette\Application\Request('Comment','POST',
            array(
                'action' => 'delete'
            )
        );
        $response = $this->presenter->run($request);

        Assert::contains('user/in', $response->getUrl());
    }


}


id(new CommentPresenterNotLoggedTest($container))->run();