<?php

namespace Test;

use Nette,
    Tester,
    Tester\Assert;

$container = require __DIR__ . '/bootstrap.php';


/**
 * Testování task presenteru v nepřihlášeném stavu
 */
class TagPresenterNotLoggedTest extends Tester\TestCase
{
    /**
     * @var \Nette\DI\Container
     */
    private $container;

    /**
     * @var \TagPresenter
     */
    private $presenter;

    /**
     * @param \Nette\DI\Container $container
     */
    function __construct(Nette\DI\Container $container)
    {
        $this->container = $container;
    }


    /**
     * Přípravná fáze, vytvoření presenteru
     */
    function setUp()
    {
        $this->presenter = new \TagPresenter($this->container);
    }


    /**
     * Testování zda dojde k přesměrování na přihlašovací formulář
     * při pokusu zobrazit některou z privátních akcí
     */
    function testAuthentificationRedirect()
    {

        $request = new \Nette\Application\Request('Tag','POST',
            array('action' => 'edit')
        );
        $response = $this->presenter->run($request);

        Assert::contains('user/in', $response->getUrl());


        $request = new \Nette\Application\Request('Tag','POST',
            array('action' => 'add')
        );
        $response = $this->presenter->run($request);

        Assert::contains('user/in', $response->getUrl());



        $request = new \Nette\Application\Request('Tag','POST',
            array(
                'action' => 'default',
                'do' => 'Delete'
            )
        );
        $response = $this->presenter->run($request);

        Assert::contains('user/in', $response->getUrl());

    }
}


id(new TagPresenterNotLoggedTest($container))->run();